package com.hw.ems.record.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 异常数据记录对象 record_alarm_data
 *
 * @author sf
 * @date 2023-04-21
 */
public class RecordAlarmData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objId;
    Long[] objIds;
    /** 计量设备编号 */
    @Excel(name = "计量设备编号")
    private String monitorId;

    @Excel(name = "计量设备名称")
    private String monitorName;

    /** 采集设备编号 */
    @Excel(name = "采集设备编号")
    private String collectDeviceId;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /** 异常类型 */
    @Excel(name = "异常类型")
    private Long alarmType;

    /** 异常状态 */
    @Excel(name = "异常状态")
    private Long alarmStatus;

    /** 异常数据 */
    @Excel(name = "异常数据")
    private String alarmData;

    /** 操作人员 */
    @Excel(name = "操作人员")
    private String operationName;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date operationTime;

    /** 备注 */
    @Excel(name = "备注")
    private String cause;

    /** 通知用户 */
    @Excel(name = "通知用户")
    private String notifyUser;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    public Long[] getObjIds() {
        return objIds;
    }

    public void setObjIds(Long[] objIds) {
        this.objIds = objIds;
    }

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public void setObjId(Long objId)
    {
        this.objId = objId;
    }

    public Long getObjId()
    {
        return objId;
    }
    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setCollectDeviceId(String collectDeviceId)
    {
        this.collectDeviceId = collectDeviceId;
    }

    public String getCollectDeviceId()
    {
        return collectDeviceId;
    }
    public void setCollectTime(Date collectTime)
    {
        this.collectTime = collectTime;
    }

    public Date getCollectTime()
    {
        return collectTime;
    }
    public void setAlarmType(Long alarmType)
    {
        this.alarmType = alarmType;
    }

    public Long getAlarmType()
    {
        return alarmType;
    }
    public void setAlarmStatus(Long alarmStatus)
    {
        this.alarmStatus = alarmStatus;
    }

    public Long getAlarmStatus()
    {
        return alarmStatus;
    }
    public void setAlarmData(String alarmData)
    {
        this.alarmData = alarmData;
    }

    public String getAlarmData()
    {
        return alarmData;
    }
    public void setOperationName(String operationName)
    {
        this.operationName = operationName;
    }

    public String getOperationName()
    {
        return operationName;
    }
    public void setOperationTime(Date operationTime)
    {
        this.operationTime = operationTime;
    }

    public Date getOperationTime()
    {
        return operationTime;
    }
    public void setCause(String cause)
    {
        this.cause = cause;
    }

    public String getCause()
    {
        return cause;
    }
    public void setNotifyUser(String notifyUser)
    {
        this.notifyUser = notifyUser;
    }

    public String getNotifyUser()
    {
        return notifyUser;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("monitorId", getMonitorId())
            .append("collectDeviceId", getCollectDeviceId())
            .append("collectTime", getCollectTime())
            .append("alarmType", getAlarmType())
            .append("alarmStatus", getAlarmStatus())
            .append("alarmData", getAlarmData())
            .append("operationName", getOperationName())
            .append("operationTime", getOperationTime())
            .append("cause", getCause())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("notifyUser", getNotifyUser())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .toString();
    }
}
